package com.yao.gateway.cache;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/18
 * @Description: 网关节点
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GateWayNodeInfo {

    /**
     * 节点id
     */
    private String nodeId;
    /***
     * 外网
     */
    private String publicIdAddress;
    /**
     * 内网
     */
    private String privateIdAddress;

}
