package com.yao;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/15
 * @Description:
 */
public class test {

    public static Map.Entry<String, Long> findMinValue(HashMap<String, Long> map) {
        Map.Entry<String, Long> minEntry = null;
        for (Map.Entry<String, Long> entry : map.entrySet()) {
            if (minEntry == null || entry.getValue() < minEntry.getValue()) {
                minEntry = entry;
            }
        }
        return minEntry;
    }

    public static void main(String[] args) {
        HashMap<String, Long> map = new HashMap<>();
        map.put("A", 10L);
        map.put("B", 5L);
        map.put("C", 8L);
        long startTime = System.currentTimeMillis(); // 记录开始时间
        long endTime = startTime +  60 * 1000; // 设置结束时间为40分钟后
        Map.Entry<String, Long> minEntry = findMinValue(map);
        if (minEntry != null) {
            System.out.println("最小值的键：" + minEntry.getKey());
            System.out.println("最小值：" + minEntry.getValue());
        } else {
            System.out.println("HashMap 为空！");
        }
    }
}
