package com.yao.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/15
 * @Description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GateWayNodeInfo {

    /**
     * 节点id
     */
    private String nodeId;
    /**
     * 权重值
     */
    private Double score;

}
