package com.yao.common.domain.aliy;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/15
 * @Description: 阿里云服务器
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InstanceInfo {


    /**
     * 实例id
     */
    private String instanceId;
    /**
     * 实例名称
     */
    private String instanceName;
    /**
     * 状态
     */
    private String status;
    /**
     * 公网IP
     */
    private String publicIpAddress; // 将数据类型修改为字符串
    /**
     * 私网IP
     */
    private String privateIpAddress; // 将数据类型修改为字符串
    /**
     * 创建时间
     */
    private String creationTime;
    /*
    是否可以回收
     */
    private boolean recyclable;

    /**
     * 是否可以回收
     * @param ipAddress
     */

    public void setPublicIpAddress(String ipAddress) {
        this.publicIpAddress = ipAddress;
    }

    public void setPrivateIpAddress(String ipAddress) {
        this.privateIpAddress = ipAddress;
    }

}
